[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TFloatSpecial

Special floating point values

## Declaration

Source position: mathh.inc line 135

`type TFloatSpecial = (`
`fsZero,` |  | Zero
`fsNZero,` |  | Negative zero
`fsDenormal,` |  | Denormal value
`fsNDenormal,` |  | Negative enormal value
`fsPositive,` |  | Positive value
`fsNegative,` |  | Negative value
`fsInf,` |  | Infinity
`fsNInf,` |  | Negative infinity
`fsNaN,` |  | Not a number
`fsInvalidOp` |  | Invalid operation
`);`

## Description

TFloatSpecial enumerates a series of floating point value properties.